Skip to main content
GET
/
v1
/
organizations
List organizations
curl --request GET \
  --url https://api.shareofmodel.ai/v1/organizations \
  --header 'Authorization: <api-key>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "user_quota": 1073741823,
    "workspace_quota": 1073741823,
    "analysis_quota": 1073741823,
    "workspace_count": 123,
    "modules": [
      "<string>"
    ],
    "asset_evaluation_quota": 1073741823,
    "search_credits": 1073741823,
    "logo": "<string>",
    "salesforce_code": "<string>",
    "contract_end_date": "2023-12-25",
    "is_active": true,
    "is_pencil": true,
    "pencil_customer_id": 0
  }
]

Authorizations

Authorization
string
header
required

Query Parameters

If set to true, include the logo field in the response. Defaults to false.

Response

200 - application/json
id
string<uuid>
required
read-only
name
string
required
Maximum string length: 255
plan
enum<string>
required
  • pilot - pilot
  • starter - starter
  • suite - suite
  • enterprise - enterprise
  • pencil - pencil
Available options:
pilot,
starter,
suite,
enterprise,
pencil
user_quota
integer
required
Required range: 0 <= x <= 2147483647
workspace_quota
integer
required
Required range: 0 <= x <= 2147483647
analysis_quota
integer
required
Required range: 0 <= x <= 2147483647
workspace_count
integer
required
modules
string[]
required
read-only
asset_evaluation_quota
integer
Required range: 0 <= x <= 2147483647
search_credits
integer
Required range: 0 <= x <= 2147483647
salesforce_code
string | null

SalesForce organization code

Maximum string length: 50
contract_end_date
string<date> | null

Contract end date

is_active
boolean
is_pencil
boolean
pencil_customer_id
integer<int64> | null
Required range: -9223372036854776000 <= x <= 9223372036854776000